%define major           0
%define gmajor          0.0
%define libname         %mklibname %{name} %{major}
%define girname         %mklibname %{name}-gir %{gmajor}
%define develname       %mklibname %{name} -d

Name:           keybinder
Version:        0.3.0
Release:        %mkrel 13
Summary:        A library for registering global keyboard shortcuts
License:        GPLv2+
Group:          System/Libraries
URL:            http://kaizer.se/wiki/keybinder/
Source0:        http://kaizer.se/publicfiles/keybinder/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(lua) < 5.2
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
keybinder is a library for registering global keyboard shortcuts. Keybinder
works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Lua bindings, lua-keybinder
- Python bindings, python-keybinder
- An examples directory with programs in C, Lua, Python and Vala.

%package -n %{libname}
Group:          System/Libraries
Summary:        %{name} library package

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:          Development/Other
Summary:        %{name} developement files
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Requires:	%{girname} = %{version}

%description -n %{develname}
This package contains header files needed when building applications based on
%{name}.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-python \
	--enable-introspection=yes
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files
%doc ChangeLog NEWS AUTHORS README

%files -n %{libname}
%{_libdir}/libkeybinder.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Keybinder-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/keybinder.h
%{_libdir}/lua/*/keybinder.so
%{_libdir}/libkeybinder.so
%{_libdir}/pkgconfig/keybinder.pc
%{_datadir}/gir-1.0/Keybinder-%{gmajor}.gir


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-13.mga8
+ Revision: 1535865
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 13 2019 wally <wally> 0.3.0-12.mga8
+ Revision: 1452829
- fix rpm groups
- drop python2 bindings

* Fri Sep 21 2018 daviddavid <daviddavid> 0.3.0-11.mga7
+ Revision: 1292680
- rename python-keybinder to python2-keybinder

* Mon Feb 15 2016 umeabot <umeabot> 0.3.0-10.mga6
+ Revision: 960845
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.3.0-9.mga6
+ Revision: 847522
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-8.mga5
+ Revision: 743888
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.0-7.mga5
+ Revision: 726631
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 0.3.0-6.mga5
+ Revision: 724912
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 681043
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.0-4.mga5
+ Revision: 628281
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 506637
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 356129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.3.0-1.mga3
+ Revision: 334912
- new version 0.3.0
- enable gobject-introspection

* Tue Dec 25 2012 wally <wally> 0.2.2-5.mga3
+ Revision: 334899
- build against lua5.1

* Fri Feb 03 2012 kamil <kamil> 0.2.2-4.mga2
+ Revision: 204200
- fix license (it's GPLv2+)
- fix width of the description
- clean .spec
- adapt .spec for Mageia
- imported package keybinder


* Fri Nov 12 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.2.2-2mdv2011.0
+ Revision: 596997
- rebuild for python 2.7

* Mon Aug 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.2-1mdv2011.0
+ Revision: 565149
- improve requires
- import keybinder


